Subject: bug#20290: closed (Re: bug#20290: 25.0.50; Use unified diff format by default, and recommend using it in reports and patches)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Apr 2015 02:17:02 +0000

Your bug report

#20290: 25.0.50; Use unified diff format by default, and recommend using it in reports and patches

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20290: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20290
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20290: 25.0.50; Use unified diff format by default, and recommend using it in reports and patches
From: Dmitry Gutov <[email-masked]>
To: Paul Eggert <[email-masked]>, [email-masked]
Date: Tue, 14 Apr 2015 05:16:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/13/2015 02:30 AM, Paul Eggert wrote:
> As I recall, RMS preferred diff -c to diff -u, and that is partly why
> trouble.texi suggests -c over -u and why diff-switches defaults to -c.

Yup, Stephen reminded of that in a recent emacs-devel thread, so I 
thought this would be a good time to try to change it.

> These days -u format is far more popular than -c format in practice, and
> I expect that most active Emacs developers prefer -u, so it's
> appropriate for Emacs to default to -u and for trouble.texi to suggest it.

This is done now. Thanks everyone.

> I suppose that in theory there is the issue of Emacs running on an older
> POSIXish platform where 'diff' does not support -u.  I don't have access
> to any such platform, though.  I can confirm that Solaris 10 diff (2005)
> supports '-u'.  So perhaps we don't need to worry about this.

I think the usual response is that users on outdated systems don't 
necessarily have to be able to use the latest-and-greatest Emacs.

But in this case the incompatibility would be very minor: if someone 
actually encounters this problem, they'll only need to customize the 
relevant variable.

Subject: 25.0.50; Use unified diff format by default, and recommend using it in reports and patches
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Thu, 09 Apr 2015 23:05:42 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

That should involve changing the default `diff-switches' value and small
changes to doc/emacs/files.texi and doc/emacs/trouble.texi.

Let me know if I missed something.

Barring any objections, I'll do that tomorrow-ish, on master.